Botan 1.10.17

Public Member Functions | List of all members
Botan::ASN1_Object Class Referenceabstract

`#include <asn1_int.h>`

Inheritance diagram for Botan::ASN1_Object:

## Public Member Functions
virtual void | decode_from (class BER_Decoder &from)=0
virtual void | encode_into (class DER_Encoder &to) const =0
virtual | ~ASN1_Object ()

## Detailed Description

Basic ASN.1 Object Interface

Definition at line 56 of file asn1_int.h.

## Constructor & Destructor Documentation

## ◆ ~ASN1_Object()

virtual Botan::ASN1_Object::~ASN1_Object | ( |  | ) |
| inline virtual

Definition at line 71 of file asn1_int.h.

71 {}

## Member Function Documentation

## ◆ decode_from()

virtual void Botan::ASN1_Object::decode_from | ( | class BER_Decoder & | from | ) |
| pure virtual

Decode whatever this object is from from

Parameters

  from | the BER_Decoder that will be read from

Implemented in Botan::ASN1_EAC_String, Botan::AlternativeName, Botan::Extensions, Botan::X509_Time, Botan::Attribute, Botan::AlgorithmIdentifier, Botan::X509_DN, Botan::EAC_Time, Botan::OID, Botan::ASN1_String, and Botan::CRL_Entry.

Referenced by Botan::BER_Decoder::decode().

## ◆ encode_into()

virtual void Botan::ASN1_Object::encode_into | ( | class DER_Encoder & | to | ) | const
| pure virtual

Encode whatever this object is into to

Parameters

  to | the DER_Encoder that will be written to

Implemented in Botan::ASN1_EAC_String, Botan::AlternativeName, Botan::Extensions, Botan::X509_Time, Botan::Attribute, Botan::AlgorithmIdentifier, Botan::X509_DN, Botan::EAC_Time, Botan::OID, Botan::ASN1_String, and Botan::CRL_Entry.

Referenced by Botan::DER_Encoder::encode().

The documentation for this class was generated from the following file:

- src/asn1/asn1_int.h